Index: palm/trunk/SOURCE/urban_surface_mod.f90
===================================================================
--- palm/trunk/SOURCE/urban_surface_mod.f90	(revision 3711)
+++ palm/trunk/SOURCE/urban_surface_mod.f90	(revision 3712)
@@ -1859,13 +1914,14 @@
 
                 CASE ( 'usm_t_window' )
+!
 !--                 window temperature for iwl layer of walls and land
                     IF ( l == -1 ) THEN
                        IF ( .NOT.  ALLOCATED(surf_usm_h%t_window_av) )  THEN
-                           ALLOCATE( surf_usm_h%t_window_av(nzb_wall:nzt_wall,1:surf_usm_h%ns) )
+                           ALLOCATE ( surf_usm_h%t_window_av(nzb_wall:nzt_wall,1:surf_usm_h%ns) )
                            surf_usm_h%t_window_av = 0.0_wp
                        ENDIF
                     ELSE
                        IF ( .NOT.  ALLOCATED(surf_usm_v(l)%t_window_av) )  THEN
-                           ALLOCATE( surf_usm_v(l)%t_window_av(nzb_wall:nzt_wall,1:surf_usm_v(l)%ns) )
+                           ALLOCATE ( surf_usm_v(l)%t_window_av(nzb_wall:nzt_wall,1:surf_usm_v(l)%ns) )
                            surf_usm_v(l)%t_window_av = 0.0_wp
                        ENDIF
@@ -1873,24 +1929,26 @@
 
                 CASE ( 'usm_t_green' )
+!
 !--                 green temperature for iwl layer of walls and land
                     IF ( l == -1 ) THEN
                        IF ( .NOT.  ALLOCATED(surf_usm_h%t_green_av) )  THEN
-                           ALLOCATE( surf_usm_h%t_green_av(nzb_wall:nzt_wall,1:surf_usm_h%ns) )
+                           ALLOCATE ( surf_usm_h%t_green_av(nzb_wall:nzt_wall,1:surf_usm_h%ns) )
                            surf_usm_h%t_green_av = 0.0_wp
                        ENDIF
                     ELSE
                        IF ( .NOT.  ALLOCATED(surf_usm_v(l)%t_green_av) )  THEN
-                           ALLOCATE( surf_usm_v(l)%t_green_av(nzb_wall:nzt_wall,1:surf_usm_v(l)%ns) )
+                           ALLOCATE ( surf_usm_v(l)%t_green_av(nzb_wall:nzt_wall,1:surf_usm_v(l)%ns) )
                            surf_usm_v(l)%t_green_av = 0.0_wp
                        ENDIF
                     ENDIF
                 CASE ( 'usm_swc' )
+!
 !--                 soil water content for iwl layer of walls and land
                     IF ( l == -1 .AND. .NOT.  ALLOCATED(surf_usm_h%swc_av) )  THEN
-                        ALLOCATE( surf_usm_h%swc_av(nzb_wall:nzt_wall,1:surf_usm_h%ns) )
+                        ALLOCATE ( surf_usm_h%swc_av(nzb_wall:nzt_wall,1:surf_usm_h%ns) )
                         surf_usm_h%swc_av = 0.0_wp
                     ELSE
                        IF ( .NOT.  ALLOCATED(surf_usm_v(l)%swc_av) )  THEN
-                           ALLOCATE( surf_usm_v(l)%swc_av(nzb_wall:nzt_wall,1:surf_usm_v(l)%ns) )
+                           ALLOCATE ( surf_usm_v(l)%swc_av(nzb_wall:nzt_wall,1:surf_usm_v(l)%ns) )
                            surf_usm_v(l)%swc_av = 0.0_wp
                        ENDIF
@@ -1907,4 +1965,5 @@
 
                 CASE ( 'usm_wshf' )
+!
 !--                 array of sensible heat flux from surfaces (land, roof, wall)
                     IF ( l == -1 ) THEN
@@ -1923,4 +1982,5 @@
                     
                 CASE ( 'usm_qsws' )
+!
 !--                 array of latent heat flux from surfaces (land, roof, wall)
                     IF ( l == -1 ) THEN
@@ -1939,4 +1999,5 @@
                     
                 CASE ( 'usm_qsws_veg' )
+!
 !--                 array of latent heat flux from vegetation surfaces (land, roof, wall)
                     IF ( l == -1 ) THEN
@@ -1955,4 +2016,5 @@
                     
                 CASE ( 'usm_qsws_liq' )
+!
 !--                 array of latent heat flux from surfaces with liquid (land, roof, wall)
                     IF ( l == -1 ) THEN
@@ -1971,4 +2033,5 @@
                     
                 CASE ( 'usm_wghf' )
+!
 !--                 array of heat flux from ground (wall, roof, land)
                     IF ( l == -1 ) THEN
@@ -1987,4 +2050,5 @@
                     
                 CASE ( 'usm_wghf_window' )
+!
 !--                 array of heat flux from window ground (wall, roof, land)
                     IF ( l == -1 ) THEN
@@ -2003,4 +2067,5 @@
 
                 CASE ( 'usm_wghf_green' )
+!
 !--                 array of heat flux from green ground (wall, roof, land)
                     IF ( l == -1 ) THEN
@@ -2019,4 +2084,5 @@
                     
                 CASE ( 'usm_iwghf' )
+!
 !--                 array of heat flux from indoor ground (wall, roof, land)
                     IF ( l == -1 ) THEN
@@ -2035,4 +2101,5 @@
                     
                 CASE ( 'usm_iwghf_window' )
+!
 !--                 array of heat flux from indoor window ground (wall, roof, land)
                     IF ( l == -1 ) THEN
@@ -2051,4 +2118,5 @@
                     
                 CASE ( 'usm_t_surf_wall' )
+!
 !--                 surface temperature for surfaces
                     IF ( l == -1 ) THEN
@@ -2067,4 +2135,5 @@
                     
                 CASE ( 'usm_t_surf_window' )
+!
 !--                 surface temperature for window surfaces
                     IF ( l == -1 ) THEN
@@ -2083,4 +2152,5 @@
                     
                 CASE ( 'usm_t_surf_green' )
+!
 !--                 surface temperature for green surfaces
                     IF ( l == -1 ) THEN
@@ -2099,4 +2169,5 @@
                 
                 CASE ( 'usm_theta_10cm' )
+!
 !--                 near surface temperature for whole surfaces
                     IF ( l == -1 ) THEN
@@ -2115,4 +2186,5 @@
                     
                 CASE ( 'usm_t_wall' )
+!
 !--                 wall temperature for  iwl layer of walls and land
                     IF ( l == -1 ) THEN
@@ -2131,4 +2203,5 @@
                     
                 CASE ( 'usm_t_window' )
+!
 !--                 window temperature for  iwl layer of walls and land
                     IF ( l == -1 ) THEN
@@ -2147,4 +2220,5 @@
 
                 CASE ( 'usm_t_green' )
+!
 !--                 green temperature for  iwl layer of walls and land
                     IF ( l == -1 ) THEN
@@ -2163,4 +2237,5 @@
 
                 CASE ( 'usm_swc' )
+!
 !--                 soil water content for  iwl layer of walls and land
                     IF ( l == -1 ) THEN
@@ -2188,4 +2263,5 @@
 
                 CASE ( 'usm_wshf' )
+!
 !--                 array of sensible heat flux from surfaces (land, roof, wall)
                     IF ( l == -1 ) THEN
@@ -2204,4 +2280,5 @@
                     
                 CASE ( 'usm_qsws' )
+!
 !--                 array of latent heat flux from surfaces (land, roof, wall)
                     IF ( l == -1 ) THEN
@@ -2220,4 +2297,5 @@
 
                 CASE ( 'usm_qsws_veg' )
+!
 !--                 array of latent heat flux from vegetation surfaces (land, roof, wall)
                     IF ( l == -1 ) THEN
@@ -2236,4 +2314,5 @@
                     
                 CASE ( 'usm_qsws_liq' )
+!
 !--                 array of latent heat flux from surfaces with liquid (land, roof, wall)
                     IF ( l == -1 ) THEN
@@ -2252,4 +2331,5 @@
                     
                 CASE ( 'usm_wghf' )
+!
 !--                 array of heat flux from ground (wall, roof, land)
                     IF ( l == -1 ) THEN
@@ -2268,4 +2348,5 @@
                     
                 CASE ( 'usm_wghf_window' )
+!
 !--                 array of heat flux from window ground (wall, roof, land)
                     IF ( l == -1 ) THEN
@@ -2284,4 +2365,5 @@
 
                 CASE ( 'usm_wghf_green' )
+!
 !--                 array of heat flux from green ground (wall, roof, land)
                     IF ( l == -1 ) THEN
@@ -2300,4 +2382,5 @@
 
                 CASE ( 'usm_iwghf' )
+!
 !--                 array of heat flux from indoor ground (wall, roof, land)
                     IF ( l == -1 ) THEN
@@ -2316,4 +2399,5 @@
                     
                 CASE ( 'usm_iwghf_window' )
+!
 !--                 array of heat flux from indoor window ground (wall, roof, land)
                     IF ( l == -1 ) THEN
@@ -2332,4 +2416,5 @@
                     
                 CASE ( 'usm_t_surf_wall' )
+!
 !--                 surface temperature for surfaces
                     IF ( l == -1 ) THEN
@@ -2348,4 +2433,5 @@
                     
                 CASE ( 'usm_t_surf_window' )
+!
 !--                 surface temperature for window surfaces
                     IF ( l == -1 ) THEN
@@ -2364,4 +2450,5 @@
                     
                 CASE ( 'usm_t_surf_green' )
+!
 !--                 surface temperature for green surfaces
                     IF ( l == -1 ) THEN
@@ -2380,4 +2467,5 @@
                     
                 CASE ( 'usm_theta_10cm' )
+!
 !--                 near surface temperature for whole surfaces
                     IF ( l == -1 ) THEN
@@ -2397,4 +2485,5 @@
                     
                 CASE ( 'usm_t_wall' )
+!
 !--                 wall temperature for  iwl layer of walls and land
                     IF ( l == -1 ) THEN
@@ -2413,4 +2502,5 @@
 
                 CASE ( 'usm_t_window' )
+!
 !--                 window temperature for  iwl layer of walls and land
                     IF ( l == -1 ) THEN
@@ -2429,4 +2519,5 @@
 
                 CASE ( 'usm_t_green' )
+!
 !--                 green temperature for  iwl layer of walls and land
                     IF ( l == -1 ) THEN
@@ -2445,4 +2536,5 @@
                     
                 CASE ( 'usm_swc' )
+!
 !--                 soil water content for  iwl layer of walls and land
                     IF ( l == -1 ) THEN
@@ -2526,9 +2618,9 @@
         CHARACTER(LEN=*),INTENT(OUT)   ::  unit       !<
 
-        INTEGER(iwp)                                  :: i,j,l        !< index
+        INTEGER(iwp)                                  :: i,j,l         !< index
         CHARACTER(LEN=2)                              :: ls
-        CHARACTER(LEN=varnamelength)                  :: var          !< TRIM(variable)
-        INTEGER(iwp), PARAMETER                       :: nl1 = 16     !< number of directional usm variables
-        CHARACTER(LEN=varnamelength), DIMENSION(nl1)  :: varlist1 = & !< list of directional usm variables
+        CHARACTER(LEN=varnamelength)                  :: var           !< TRIM(variable)
+        INTEGER(iwp), PARAMETER                       :: nl1 = 16      !< number of directional usm variables
+        CHARACTER(LEN=varnamelength), DIMENSION(nl1)  :: varlist1 = &  !< list of directional usm variables
                   (/'usm_wshf                      ', &
                     'usm_wghf                      ', &
@@ -2548,6 +2640,6 @@
                     'usm_theta_10cm                '/)
 
-        INTEGER(iwp), PARAMETER                       :: nl2 = 3      !< number of directional layer usm variables
-        CHARACTER(LEN=varnamelength), DIMENSION(nl2)  :: varlist2 = & !< list of directional layer usm variables
+        INTEGER(iwp), PARAMETER                       :: nl2 = 3       !< number of directional layer usm variables
+        CHARACTER(LEN=varnamelength), DIMENSION(nl2)  :: varlist2 = &  !< list of directional layer usm variables
                   (/'usm_t_wall                    ', &
                     'usm_t_window                  ', &
@@ -2564,6 +2656,7 @@
         var = TRIM(variable)
 
+!
 !--     check if variable exists
-!       directional variables
+!--     directional variables
         DO i = 1, nl1
            DO j = 1, nd
@@ -2576,5 +2669,6 @@
         ENDDO
         IF ( lfound ) GOTO 10
-!       directional layer variables
+!
+!--     directional layer variables
         DO i = 1, nl2
            DO j = 1, nd
@@ -2624,16 +2718,17 @@
 !------------------------------------------------------------------------------!
     SUBROUTINE usm_check_parameters
-    
+
        USE control_parameters,                                                 &
            ONLY:  bc_pt_b, bc_q_b, constant_flux_layer, large_scale_forcing,   &
                   lsf_surf, topography
-                  
+
        USE netcdf_data_input_mod,                                             &
             ONLY:  building_type_f
 
-       IMPLICIT NONE           
-                  
+       IMPLICIT NONE
+
        INTEGER(iwp) ::  i        !< running index, x-dimension
        INTEGER(iwp) ::  j        !< running index, y-dimension
+
 !
 !--    Dirichlet boundary conditions are required as the surface fluxes are
@@ -2680,6 +2775,6 @@
        ENDIF
 !
-!--    Check if building types are set within a valid range.   
-       IF ( building_type < LBOUND( building_pars, 2 )  .AND.                 &
+!--    Check if building types are set within a valid range.
+       IF ( building_type < LBOUND( building_pars, 2 )  .AND.                  &
             building_type > UBOUND( building_pars, 2 ) )  THEN
           WRITE( message_string, * ) 'building_type = ', building_type,        &
@@ -2696,10 +2791,9 @@
                    WRITE( message_string, * ) 'building_type = is out of ' //  &
                                         'the valid range at (j,i) = ', j, i
-                   CALL message( 'usm_check_parameters', 'PA0529', 2, 2, 0, 6, 0 ) 
+                   CALL message( 'usm_check_parameters', 'PA0529', 2, 2, 0, 6, 0 )
                 ENDIF
              ENDDO
           ENDDO
        ENDIF
-
     END SUBROUTINE usm_check_parameters
 
@@ -2719,6 +2813,6 @@
         IMPLICIT NONE
 
-        INTEGER(iwp), INTENT(IN)       ::  av        !< 
-        CHARACTER (len=*), INTENT(IN)  ::  variable  !< 
+        INTEGER(iwp), INTENT(IN)       ::  av        !< flag if averaged
+        CHARACTER (len=*), INTENT(IN)  ::  variable  !< variable name
         INTEGER(iwp), INTENT(IN)       ::  nzb_do    !< lower limit of the data output (usually 0)
         INTEGER(iwp), INTENT(IN)       ::  nzt_do    !< vertical upper limit of the data output (usually nz_do3d)
@@ -2727,6 +2821,6 @@
         REAL(wp), DIMENSION(nzb:nzt+1,nys:nyn,nxl:nxr)     ::  temp_pf    !< temp array for urban surface output procedure
         
-        CHARACTER (len=varnamelength)                          :: var
-        INTEGER(iwp), PARAMETER                                :: nd = 5
+        CHARACTER (len=varnamelength)                          :: var     !< trimmed variable name
+        INTEGER(iwp), PARAMETER                                :: nd = 5  !< number of directions
         CHARACTER(len=6), DIMENSION(0:nd-1), PARAMETER         :: dirname = (/ '_roof ', '_south', '_north', '_west ', '_east ' /)
         INTEGER(iwp), DIMENSION(0:nd-1), PARAMETER             :: dirint =  (/    iup_u, isouth_u, inorth_u,  iwest_u,  ieast_u /)
@@ -2734,5 +2828,5 @@
                                                                      !< index for surf_*_v: 0:3 = (North, South, East, West)
         INTEGER(iwp)                                           :: ids,idsint,idsidx,isvf
-        INTEGER(iwp)                                           :: i,j,k,iwl,istat, l, m
+        INTEGER(iwp)                                           :: i,j,k,iwl,istat, l, m  !< running indices
 
         found = .TRUE.
@@ -2756,4 +2850,5 @@
         ENDIF
         IF ( var(1:11) == 'usm_t_wall_'  .AND.  len(TRIM(var)) >= 12 )  THEN
+!
 !--         wall layers
             READ(var(12:12), '(I1)', iostat=istat ) iwl
@@ -2763,4 +2858,5 @@
         ENDIF
         IF ( var(1:13) == 'usm_t_window_'  .AND.  len(TRIM(var)) >= 14 )  THEN
+!
 !--         window layers
             READ(var(14:14), '(I1)', iostat=istat ) iwl
@@ -2770,4 +2866,5 @@
         ENDIF
         IF ( var(1:12) == 'usm_t_green_'  .AND.  len(TRIM(var)) >= 13 )  THEN
+!
 !--         green layers
             READ(var(13:13), '(I1)', iostat=istat ) iwl
@@ -2777,4 +2874,5 @@
         ENDIF
         IF ( var(1:8) == 'usm_swc_'  .AND.  len(TRIM(var)) >= 9 )  THEN
+!
 !--         green layers soil water content
             READ(var(9:9), '(I1)', iostat=istat ) iwl
@@ -2787,4 +2885,5 @@
 
           CASE ( 'usm_surfz' )
+!
 !--           array of surface height (z)
               IF ( idsint == iup_u )  THEN
@@ -2806,4 +2905,5 @@
 
           CASE ( 'usm_surfcat' )
+!
 !--           surface category
               IF ( idsint == iup_u )  THEN
@@ -2825,4 +2925,5 @@
               
           CASE ( 'usm_surfalb' )
+!
 !--           surface albedo, weighted average
               IF ( idsint == iup_u )  THEN
@@ -2854,4 +2955,5 @@
               
           CASE ( 'usm_surfemis' )
+!
 !--           surface emissivity, weighted average
               IF ( idsint == iup_u )  THEN
@@ -2883,4 +2985,5 @@
 
           CASE ( 'usm_surfwintrans' )
+!
 !--           transmissivity window tiles
               IF ( idsint == iup_u )  THEN
@@ -2902,4 +3005,5 @@
 
           CASE ( 'usm_wshf' )
+!
 !--           array of sensible heat flux from surfaces
               IF ( av == 0 )  THEN
@@ -2941,4 +3045,5 @@
               
           CASE ( 'usm_qsws' )
+!
 !--           array of latent heat flux from surfaces
               IF ( av == 0 )  THEN
@@ -2979,4 +3084,5 @@
               
           CASE ( 'usm_qsws_veg' )
+!
 !--           array of latent heat flux from vegetation surfaces
               IF ( av == 0 )  THEN
@@ -3017,4 +3123,5 @@
               
           CASE ( 'usm_qsws_liq' )
+!
 !--           array of latent heat flux from surfaces with liquid
               IF ( av == 0 )  THEN
@@ -3055,4 +3162,5 @@
 
           CASE ( 'usm_wghf' )
+!
 !--           array of heat flux from ground (land, wall, roof)
               IF ( av == 0 )  THEN
@@ -3093,6 +3201,6 @@
 
           CASE ( 'usm_wghf_window' )
+!
 !--           array of heat flux from window ground (land, wall, roof)
-
               IF ( av == 0 )  THEN
                  IF ( idsint == iup_u )  THEN
@@ -3132,6 +3240,6 @@
 
           CASE ( 'usm_wghf_green' )
+!
 !--           array of heat flux from green ground (land, wall, roof)
-
               IF ( av == 0 )  THEN
                  IF ( idsint == iup_u )  THEN
@@ -3171,4 +3279,5 @@
 
           CASE ( 'usm_iwghf' )
+!
 !--           array of heat flux from indoor ground (land, wall, roof)
               IF ( av == 0 )  THEN
@@ -3209,6 +3318,6 @@
 
           CASE ( 'usm_iwghf_window' )
+!
 !--           array of heat flux from indoor window ground (land, wall, roof)
-
               IF ( av == 0 )  THEN
                  IF ( idsint == iup_u )  THEN
@@ -3248,4 +3357,5 @@
               
           CASE ( 'usm_t_surf_wall' )
+!
 !--           surface temperature for surfaces
               IF ( av == 0 )  THEN
@@ -3286,6 +3396,6 @@
               
           CASE ( 'usm_t_surf_window' )
+!
 !--           surface temperature for window surfaces
-
               IF ( av == 0 )  THEN
                  IF ( idsint == iup_u )  THEN
@@ -3328,6 +3438,6 @@
 
           CASE ( 'usm_t_surf_green' )
+!
 !--           surface temperature for green surfaces
-
               IF ( av == 0 )  THEN
                  IF ( idsint == iup_u )  THEN
@@ -3370,6 +3480,6 @@
 
           CASE ( 'usm_theta_10cm' )
+!
 !--           near surface temperature for whole surfaces
-
               IF ( av == 0 )  THEN
                  IF ( idsint == iup_u )  THEN
@@ -3412,4 +3522,5 @@
              
           CASE ( 'usm_t_wall' )
+!
 !--           wall temperature for  iwl layer of walls and land
               IF ( av == 0 )  THEN
@@ -3450,4 +3561,5 @@
              
           CASE ( 'usm_t_window' )
+!
 !--           window temperature for iwl layer of walls and land
               IF ( av == 0 )  THEN
@@ -3488,4 +3600,5 @@
 
           CASE ( 'usm_t_green' )
+!
 !--           green temperature for  iwl layer of walls and land
               IF ( av == 0 )  THEN
@@ -3526,4 +3639,5 @@
               
               CASE ( 'usm_swc' )
+!
 !--           soil water content for  iwl layer of walls and land
               IF ( av == 0 )  THEN
@@ -3612,5 +3726,5 @@
              var(1:16) == 'usm_t_surf_green'  .OR. var(1:11) == 'usm_t_green' .OR.          &
              var(1:15) == 'usm_theta_10cm' .OR.                                             &
-             var(1:9) == 'usm_surfz'  .OR.  var(1:11) == 'usm_surfcat'  .OR.                  &
+             var(1:9) == 'usm_surfz'  .OR.  var(1:11) == 'usm_surfcat'  .OR.                &
              var(1:11) == 'usm_surfalb'  .OR.  var(1:12) == 'usm_surfemis'  .OR.            &
              var(1:16) == 'usm_surfwintrans'  .OR. var(1:7) == 'usm_swc' ) THEN
@@ -3642,5 +3756,6 @@
         
         CALL location_message( '    initialization of wall surface model', .TRUE. )
-       
+
+!
 !--     Calculate wall grid spacings. 
 !--     Temperature is defined at the center of the wall layers,
@@ -3659,9 +3774,4 @@
                                          surf_usm_h%zw_window(k-1,m)
            ENDDO
-!            surf_usm_h%dz_green(nzb_wall,m) = surf_usm_h%zw_green(nzb_wall,m)
-!            DO k = nzb_wall+1, nzt_wall
-!                surf_usm_h%dz_green(k,m) = surf_usm_h%zw_green(k,m) -           &
-!                                          surf_usm_h%zw_green(k-1,m)
-!            ENDDO
            
            surf_usm_h%dz_wall(nzt_wall+1,m) = surf_usm_h%dz_wall(nzt_wall,m)
@@ -3681,28 +3791,26 @@
            surf_usm_h%dz_window_stag(nzt_wall,m) = surf_usm_h%dz_window(nzt_wall,m)
 
-!            surf_usm_h%dz_green(nzt_wall+1,m) = surf_usm_h%dz_green(nzt_wall,m)
-! 
-!            DO k = nzb_wall, nzt_wall-1
-!                surf_usm_h%dz_green_stag(k,m) = 0.5 * (                         &
-!                            surf_usm_h%dz_green(k+1,m) + surf_usm_h%dz_green(k,m) )
-!            ENDDO
-!            surf_usm_h%dz_green_stag(nzt_wall,m) = surf_usm_h%dz_green(nzt_wall,m)
-!-------------           
-           IF (surf_usm_h%green_type_roof(m) == 2.0_wp ) then
-             soil_type = 3 !extensiv green roof
-             surf_usm_h%lai(m) = 2.0_wp
+           IF (surf_usm_h%green_type_roof(m) == 2.0_wp ) THEN
+!
+!-- extensive green roof
+!-- set ratio of substrate layer thickness, soil-type and LAI
+              soil_type = 3
+              surf_usm_h%lai(m) = 2.0_wp
              
-           surf_usm_h%zw_green(nzb_wall,m)         = 0.05_wp
-           surf_usm_h%zw_green(nzb_wall+1,m)       = 0.10_wp
-           surf_usm_h%zw_green(nzb_wall+2,m)       = 0.15_wp
-           surf_usm_h%zw_green(nzb_wall+3,m)       = 0.20_wp
+              surf_usm_h%zw_green(nzb_wall,m)   = 0.05_wp
+              surf_usm_h%zw_green(nzb_wall+1,m) = 0.10_wp
+              surf_usm_h%zw_green(nzb_wall+2,m) = 0.15_wp
+              surf_usm_h%zw_green(nzb_wall+3,m) = 0.20_wp
            ELSE
-             soil_type = 6 !intensiv green roof
-             surf_usm_h%lai(m) = 4.0_wp
+!
+!-- intensiv green roof
+!-- set ratio of substrate layer thickness, soil-type and LAI
+              soil_type = 6
+              surf_usm_h%lai(m) = 4.0_wp
              
-           surf_usm_h%zw_green(nzb_wall,m)         = 0.05_wp
-           surf_usm_h%zw_green(nzb_wall+1,m)       = 0.10_wp
-           surf_usm_h%zw_green(nzb_wall+2,m)       = 0.40_wp
-           surf_usm_h%zw_green(nzb_wall+3,m)       = 0.80_wp
+              surf_usm_h%zw_green(nzb_wall,m)   = 0.05_wp
+              surf_usm_h%zw_green(nzb_wall+1,m) = 0.10_wp
+              surf_usm_h%zw_green(nzb_wall+2,m) = 0.40_wp
+              surf_usm_h%zw_green(nzb_wall+3,m) = 0.80_wp
            ENDIF
            
@@ -3758,5 +3866,5 @@
              surf_usm_h%l_vg_green(m)          = l_vangenuchten
              surf_usm_h%n_vg_green(m)          = n_vangenuchten 
-             surf_usm_h%gamma_w_green_sat(k,m)   = hydraulic_conductivity
+             surf_usm_h%gamma_w_green_sat(k,m) = hydraulic_conductivity
              swc_sat_h(k,m)                    = saturation_moisture
              fc_h(k,m)                         = field_capacity
@@ -3764,6 +3872,7 @@
              swc_res_h(k,m)                    = residual_moisture
           ENDDO
-!-------------------------------           
+
         ENDDO
+
         surf_usm_h%ddz_wall        = 1.0_wp / surf_usm_h%dz_wall
         surf_usm_h%ddz_wall_stag   = 1.0_wp / surf_usm_h%dz_wall_stag
@@ -3802,5 +3911,5 @@
               surf_usm_v(l)%dz_wall_stag(nzt_wall,m) =                         &
                                               surf_usm_v(l)%dz_wall(nzt_wall,m)
-              surf_usm_v(l)%dz_window(nzt_wall+1,m) =                            &
+              surf_usm_v(l)%dz_window(nzt_wall+1,m) =                          &
                                               surf_usm_v(l)%dz_window(nzt_wall,m)
 
@@ -3812,5 +3921,5 @@
               surf_usm_v(l)%dz_window_stag(nzt_wall,m) =                         &
                                               surf_usm_v(l)%dz_window(nzt_wall,m)
-              surf_usm_v(l)%dz_green(nzt_wall+1,m) =                            &
+              surf_usm_v(l)%dz_green(nzt_wall+1,m) =                             &
                                               surf_usm_v(l)%dz_green(nzt_wall,m)
 
@@ -3831,72 +3940,4 @@
         ENDDO      
 
-        
-!     soil_type = 6
-! !--    Initialize standard soil types. It is possible to overwrite each
-! !--    parameter by setting the respecticy NAMELIST variable to a 
-! !--    value /= 9999999.9. 
-!        IF ( soil_type /= 0 )  THEN  
-!  
-!           IF ( alpha_vangenuchten == 9999999.9_wp )  THEN
-!              alpha_vangenuchten = soil_pars(0,soil_type)
-!           ENDIF
-! 
-!           IF ( l_vangenuchten == 9999999.9_wp )  THEN
-!              l_vangenuchten = soil_pars(1,soil_type)
-!           ENDIF
-! 
-!           IF ( n_vangenuchten == 9999999.9_wp )  THEN
-!              n_vangenuchten = soil_pars(2,soil_type)            
-!           ENDIF
-! 
-!           IF ( hydraulic_conductivity == 9999999.9_wp )  THEN
-!              hydraulic_conductivity = soil_pars(3,soil_type)            
-!           ENDIF
-! 
-!           IF ( saturation_moisture == 9999999.9_wp )  THEN
-!              saturation_moisture = m_soil_pars(0,soil_type)           
-!           ENDIF
-! 
-!           IF ( field_capacity == 9999999.9_wp )  THEN
-!              field_capacity = m_soil_pars(1,soil_type)           
-!           ENDIF
-! 
-!           IF ( wilting_point == 9999999.9_wp )  THEN
-!              wilting_point = m_soil_pars(2,soil_type)            
-!           ENDIF
-! 
-!           IF ( residual_moisture == 9999999.9_wp )  THEN
-!              residual_moisture = m_soil_pars(3,soil_type)       
-!           ENDIF
-!           
-!             DO  m = 1, surf_usm_h%ns
-!                DO k = nzb_wall, nzt_wall+1
-!                    swc_h(k,m) = field_capacity
-!                    rootfr_h(k,m) = 0.5_wp
-!                ENDDO
-!             ENDDO
-! ! !
-! ! !--         Vertical surfaces
-! !             DO  l = 0, 3
-! !                DO  m = 1, surf_usm_v(l)%ns
-! !                   DO k = nzb_wall, nzt_wall+1
-! !                      swc_v(l)%t(k,m) = 0.5_wp
-! !                   ENDDO
-! !                ENDDO
-! !             ENDDO
-! 
-!        ENDIF
-! 
-! !
-! !--    Map values to the respective 2D arrays
-!        surf_usm_h%alpha_vg_green      = alpha_vangenuchten
-!        surf_usm_h%l_vg_green          = l_vangenuchten
-!        surf_usm_h%n_vg_green          = n_vangenuchten 
-!        surf_usm_h%gamma_w_green_sat   = hydraulic_conductivity
-!        swc_sat_h         = saturation_moisture
-!        fc_h          = field_capacity
-!        wilt_h        = wilting_point
-!        swc_res_h         = residual_moisture
-! !        r_soil_min    = min_soil_resistance
         
         CALL location_message( '    wall structures filed out', .TRUE. )
@@ -3971,4 +4012,5 @@
 
         CALL cpu_log( log_point_s(78), 'usm_init', 'start' )
+!
 !--     surface forcing have to be disabled for LSF 
 !--     in case of enabled urban surface module
@@ -4037,5 +4079,5 @@
 !
 !--           Set flag for ground level
-              IF ( z_agl <= ground_floor_level_l )                                &
+              IF ( z_agl <= ground_floor_level_l )                             &
                  surf_usm_v(l)%ground_level(m) = .TRUE.
 
@@ -4057,10 +4099,9 @@
         ENDDO
         
-!---------------------------------------------------------------------------------------------
 !
 !--    Map values onto horizontal elemements
        DO  m = 1, surf_usm_h%ns
-             surf_usm_h%r_canopy_min(m)     = 200.0_wp !min_canopy_resistance
-             surf_usm_h%g_d(m)              = 0.0_wp !canopy_resistance_coefficient
+             surf_usm_h%r_canopy_min(m)     = 200.0_wp !< min_canopy_resistance
+             surf_usm_h%g_d(m)              = 0.0_wp   !< canopy_resistance_coefficient
        ENDDO
 !
@@ -4069,10 +4110,9 @@
        DO  l = 0, 3
           DO  m = 1, surf_usm_v(l)%ns
-                surf_usm_v(l)%r_canopy_min(m)     = 200.0_wp !min_canopy_resistance
-                surf_usm_v(l)%g_d(m)              = 0.0_wp !canopy_resistance_coefficient
+                surf_usm_v(l)%r_canopy_min(m)     = 200.0_wp !< min_canopy_resistance
+                surf_usm_v(l)%g_d(m)              = 0.0_wp   !< canopy_resistance_coefficient
           ENDDO
        ENDDO
-!---------------------------------------------------------------------------------------------
-!
+
 !
 !--     Initialize urban-type surface attribute. According to initialization in 
@@ -4637,5 +4677,5 @@
               IF ( building_pars_f%pars_xy(ind_wall_frac_r,j,i) /= building_pars_f%fill )    &
                  surf_usm_h%frac(ind_veg_wall,m)  = building_pars_f%pars_xy(ind_wall_frac_r,j,i)   
-              IF ( building_pars_f%pars_xy(ind_green_frac_r,j,i) /= building_pars_f%fill ) & 
+              IF ( building_pars_f%pars_xy(ind_green_frac_r,j,i) /= building_pars_f%fill )   & 
                  surf_usm_h%frac(ind_pav_green,m) = building_pars_f%pars_xy(ind_green_frac_r,j,i) 
               IF ( building_pars_f%pars_xy(ind_win_frac_r,j,i) /= building_pars_f%fill )     & 
@@ -4643,5 +4683,5 @@
 
  
-              IF ( building_pars_f%pars_xy(ind_lai_r,j,i) /= building_pars_f%fill )        &
+              IF ( building_pars_f%pars_xy(ind_lai_r,j,i) /= building_pars_f%fill )          &
                  surf_usm_h%lai(m)             = building_pars_f%pars_xy(ind_lai_r,j,i)
 
@@ -4720,7 +4760,7 @@
               IF ( building_pars_f%pars_xy(ind_alb_wall_r,j,i) /= building_pars_f%fill )    & 
                  surf_usm_h%albedo_type(ind_veg_wall,m)  = building_pars_f%pars_xy(ind_alb_wall_r,j,i)
-              IF ( building_pars_f%pars_xy(ind_alb_green_r,j,i) /= building_pars_f%fill )    & 
+              IF ( building_pars_f%pars_xy(ind_alb_green_r,j,i) /= building_pars_f%fill )   & 
                  surf_usm_h%albedo_type(ind_pav_green,m) = building_pars_f%pars_xy(ind_alb_green_r,j,i)
-              IF ( building_pars_f%pars_xy(ind_alb_win_r,j,i) /= building_pars_f%fill )    & 
+              IF ( building_pars_f%pars_xy(ind_alb_win_r,j,i) /= building_pars_f%fill )     & 
                  surf_usm_h%albedo_type(ind_wat_win,m)   = building_pars_f%pars_xy(ind_alb_win_r,j,i)
 
